%define name ktvschedule
%define version 0.1.9
%define release %mkrel 1
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Kde front end for xmltv
License:   GPL
URL:       http://ktvschedule.berlios.de/
Group:     Video
Source:    http://download.berlios.de/ktvschedule/%{name}-%{version}.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: xmltv
Requires: xmltv-grabbers

%description
Ktvschedule is a kde frontend for xmltv

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}.1

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
%{makeinstall_std}

#menus
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=ktvschedule|Name=Ktvschedule|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Multimedia/Video" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

# correct files wrong script encoding
perl -pi -e 's/\015$//' %buildroot/%_datadir/apps/ktvschedule/eventsrc

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_datadir/applnk/Utilities/%{name}.desktop
%_datadir/applications/kde/ktvschedule.desktop
%_datadir/locale/de/LC_MESSAGES/ktvschedule.mo
%_datadir/locale/el/LC_MESSAGES/ktvschedule.mo
%_datadir/locale/fr/LC_MESSAGES/ktvschedule.mo
%_datadir/apps/ktvschedule/eventsrc
%_datadir/apps/ktvschedule/ktvscheduleui.rc
%_docdir/HTML/en/ktvschedule/common
%_docdir/HTML/en/ktvschedule/distdir-nls
%_docdir/HTML/en/ktvschedule/index.cache.bz2
%_docdir/HTML/en/ktvschedule/index.docbook
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
  
%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Mon Jul 25 2005 <neoclust@mandriva.org> 0.1.9-1mdk
- 0.1.9
- Fix URL and Source

* Thu Jun 02 2005 <plouf@mandriva.org> 0.1.5-1mdk
- New release 1.5

* Sat May 21 2005 <plouf@mandriva.org> 0.1.4-2mdk
- Fix requires

* Fri May 20 2005  <plouf@mandriva.org> 0.1.4-1mdk
- First Mandriva Linux release
